fix: gen-migrations workflow
Some checks failed
gen-migrations / gen-migrations (push) Failing after 6s

This commit is contained in:
Orion Kindel 2023-07-20 00:31:54 -05:00
parent 89df399766
commit bba7d98c36
Signed by untrusted user who does not match committer: orion
GPG Key ID: 6D4165AE4C928719
2 changed files with 2 additions and 3 deletions

View File

@ -49,5 +49,3 @@ docker compose up -d "$base_or_head"
isready isready
initdb || (docker compose logs "$base_or_head" && exit 1) initdb || (docker compose logs "$base_or_head" && exit 1)
ls ./schema/ | xargs -I{} bash -c "set -e; $(declare -f query_file); query_file \"$(db dnim)\" ./schema/{}" || (docker compose logs "$base_or_head" && exit 1) ls ./schema/ | xargs -I{} bash -c "set -e; $(declare -f query_file); query_file \"$(db dnim)\" ./schema/{}" || (docker compose logs "$base_or_head" && exit 1)
cd "../"

View File

@ -24,7 +24,8 @@ if [[ -z "$base" ]] || [[ -z "$head" ]]; then
fi fi
if [[ ! -f "$migration" ]]; then if [[ ! -f "$migration" ]]; then
docker compose down -v docker stop base head
docker rm base head
./scripts/build.sh base "$base" 1>&2 || (echo "base failed to build" && exit 1) ./scripts/build.sh base "$base" 1>&2 || (echo "base failed to build" && exit 1)
./scripts/build.sh head "$head" 1>&2 || (echo "head failed to build" && exit 1) ./scripts/build.sh head "$head" 1>&2 || (echo "head failed to build" && exit 1)